Package epydoc :: Module checker :: Class DocChecker

[hide private]
[frames] | no frames]

# Class DocChecker

source code

Documentation completeness checker. `DocChecker` can be used to check that specified classes of objects are documented. To check the documentation for a group of objects, you should create a `DocChecker` from a DocIndex that documents those objects; and then use the check method to run specified checks on the objects' documentation.

What checks are run, and what objects they are run on, are specified by the constants defined by `DocChecker`. These constants are divided into three groups.

- Type specifiers indicate what type of objects should be checked: MODULE; CLASS; FUNC; VAR; IVAR; CVAR; PARAM; and RETURN.
- Public/private specifiers indicate whether public or private objects should be checked: PRIVATE.
- Check specifiers indicate what checks should be run on the objects: TYPE; DESCR; AUTHOR; and VERSION.

The check method is used to perform a check on the documentation. Its parameter is formed by or-ing together at least one value from each specifier group:

    >>> checker.check(DocChecker.MODULE | DocChecker.DESCR)

To specify multiple values from a single group, simply or their values together:

    >>> checker.check(DocChecker.MODULE | DocChecker.CLASS |
    ...               DocChecker.FUNC )

Instance Methods | [hide private]

__init__(self, docindex) Create a new `DocChecker` that can be used to run checks on the documentation of the objects documented by `docindex` | source code

`boolean`

check(self, *check_sets) Run the specified checks on the documentation of the objects contained by this `DocChecker`'s `DocIndex`. | source code

_check(self, checks) | source code

_name(self, doc) | source code

`None`

_check_basic(self, doc) Check the description, author, version, and see-also fields of `doc`. | source code

`None`

_check_module(self, doc) Run checks on the module whose APIDoc is `doc`. | source code

`None`

_check_class(self, doc) Run checks on the class whose APIDoc is `doc`. | source code

_check_property(self, doc) | source code

`None`

_check_var(self, doc) Run checks on the variable whose documentation is `var` and whose name is `name`. | source code

`None`

_check_func(self, doc) Run checks on the function whose APIDoc is `doc`. | source code

warning(self, msg, doc) | source code

Class Variables | [hide private]

| PROPERTY = `256`
| ALL = `24831`
Types
`int` | MODULE = `1` Type specifier that indicates that the documentation of modules should be checked.
`int` | CLASS = `2` Type specifier that indicates that the documentation of classes should be checked.
`int` | FUNC = `4` Type specifier that indicates that the documentation of functions should be checked.
`int` | VAR = `8` Type specifier that indicates that the documentation of module variables should be checked.
`int` | PARAM = `64` Type specifier that indicates that the documentation of function and method parameters should be checked.
`int` | RETURN = `128` Type specifier that indicates that the documentation of return values should be checked.
`int` | ALL_T = `511` Type specifier that indicates that the documentation of all objects should be checked.
`int` | CVAR Type specifier that indicates that the documentation of class variables should be checked.
`int` | IVAR Type specifier that indicates that the documentation of instance variables should be checked.
Checks
`int` | TYPE = `256` Check specifier that indicates that every variable and parameter should have a `@type` field.
`int` | AUTHOR = `1024` Check specifier that indicates that every object should have an `author` field.
`int` | VERSION = `2048` Check specifier that indicates that every object should have a `version` field.
`int` | DESCR = `4096` Check specifier that indicates that every object should have a description.
`int` | ALL_C = `7936` Check specifier that indicates that all checks should be run.
Publicity
`int` | PRIVATE = `16384` Specifier that indicates that private objects should be checked.

Method Details | [hide private]

### __init__(self, docindex)
(Constructor)

source code

Create a new `DocChecker` that can be used to run checks on the documentation of the objects documented by `docindex`

Parameters:
  - `docindex` (Docindex) - A documentation map containing the documentation for the objects to be checked.

### check(self, *check_sets)

source code

Run the specified checks on the documentation of the objects contained by this `DocChecker`'s `DocIndex`. Any errors found are printed to standard out.

Parameters:
  - `check_sets` (`int`) - The checks that should be run on the documentation. This value is constructed by or-ing together the specifiers that indicate which objects should be checked, and which checks should be run. See the module description for more information. If no checks are specified, then a default set of checks will be run.
Returns: `boolean`
  True if no problems were found.

### _check_basic(self, doc)

source code

Check the description, author, version, and see-also fields of `doc`. This is used as a helper function by _check_module, _check_class, and _check_func.

Parameters:
  - `doc` (APIDoc) - The documentation that should be checked.
Returns: `None`

### _check_module(self, doc)

source code

Run checks on the module whose APIDoc is `doc`.

Parameters:
  - `doc` (APIDoc) - The APIDoc of the module to check.
Returns: `None`

### _check_class(self, doc)

source code

Run checks on the class whose APIDoc is `doc`.

Parameters:
  - `doc` (APIDoc) - The APIDoc of the class to check.
Returns: `None`

### _check_var(self, doc)

source code

Run checks on the variable whose documentation is `var` and whose name is `name`.

Parameters:
  - `doc` (APIDoc) - The documentation for the variable to check.
Returns: `None`

### _check_func(self, doc)

source code

Run checks on the function whose APIDoc is `doc`.

Parameters:
  - `doc` (APIDoc) - The APIDoc of the function to check.
Returns: `None`